/*
 * screen definitions for my custom screen 
 *
 */

#define XSIZE 690
#define YSIZE 423

static struct TextAttr TOPAZ80 = {
	(STRPTR)"topaz.font",
	TOPAZ_EIGHTY,0,0
};
static struct NewScreen NewScreenStructure = {
	0,0,	/* screen XY origin relative to View */
	XSIZE,YSIZE+2,	/* screen width and height */
	1,	/* screen depth (number of bitplanes) */
	0,1,	/* detail and block pens */
	LACE+HIRES,	/* display modes for this screen */
	CUSTOMSCREEN,	/* screen type */
	&TOPAZ80,	/* pointer to default screen font */
	(UBYTE *)"Plot To Amiga",	/* screen title */
	NULL,	/* first in list of custom screen gadgets */
	NULL	/* pointer to custom BitMap structure */
};

#define NEWSCREENSTRUCTURE NewScreenStructure

static USHORT Palette[] = {
	0x003F,	/* color #0 */
	0x0FFF	/* color #1 */
#define PaletteColorCount 2
};

#define PALETTE Palette

/*
 * definitions for the menus 
 */

struct IntuiText IText1 = {
    3,1,COMPLEMENT,
    0,0,
    NULL,
    (UBYTE *)"QUIT",
    NULL
};

struct MenuItem MenuItem6 = {
    NULL,
    0,45,
    112,8,
    ITEMTEXT+COMMSEQ+ITEMENABLED+HIGHCOMP,
    0,
    (APTR)&IText1,
    NULL,
    'Q',
    NULL,
    MENUNULL
};

struct IntuiText IText2 = {
    3,1,COMPLEMENT,
    0,0,
    NULL,
    (UBYTE *)"Help",
    NULL
};

struct MenuItem MenuItem5 = {
    &MenuItem6,
    0,36,
    112,8,
    ITEMTEXT+COMMSEQ+ITEMENABLED+HIGHCOMP,
    0,
    (APTR)&IText2,
    NULL,
    'H',
    NULL,
    MENUNULL
};

struct IntuiText IText3 = {
    3,1,COMPLEMENT,
    0,0,
    NULL,
    (UBYTE *)"Print",
    NULL
};

struct MenuItem MenuItem4 = {
    &MenuItem5,
    0,27,
    112,8,
    ITEMTEXT+COMMSEQ+ITEMENABLED+HIGHCOMP,
    0,
    (APTR)&IText3,
    NULL,
    'P',
    NULL,
    MENUNULL
};

struct IntuiText IText4 = {
    3,1,COMPLEMENT,
    0,0,
    NULL,
    (UBYTE *)"Set Scale",
    NULL
};

struct MenuItem MenuItem3 = {
    &MenuItem4,
    0,18,
    112,8,
    ITEMTEXT+COMMSEQ+ITEMENABLED+HIGHCOMP,
    0,
    (APTR)&IText4,
    NULL,
    'S',
    NULL,
    MENUNULL
};

struct IntuiText IText5 = {
    3,1,COMPLEMENT,
    0,0,
    NULL,
    (UBYTE *)"Clear",
    NULL
};

struct MenuItem MenuItem2 = {
    &MenuItem3,
    0,9,
    112,8,
    ITEMTEXT+COMMSEQ+ITEMENABLED+HIGHCOMP,
    0,
    (APTR)&IText5,
    NULL,
    'C',
    NULL,
    MENUNULL
};

struct IntuiText IText6 = {
    3,1,COMPLEMENT,
    0,0,
    NULL,
    (UBYTE *)"Draw File",
    NULL
};

struct MenuItem MenuItem1 = {
    &MenuItem2,
    0,0,
    112,8,
    ITEMTEXT+COMMSEQ+ITEMENABLED+HIGHCOMP,
    0,
    (APTR)&IText6,
    NULL,
    'D',
    NULL,
    MENUNULL
};

struct Menu Menu1 = {
    NULL,
    0,0,
    75,0,
    MENUENABLED,
    "Project",
    &MenuItem1
};

#define MenuList1 Menu1
